<div class="container">
  <div class="text-block">
    <p>El propósito de todo proyecto de inversión es el de <strong>resolver un problema o necesidad, o aprovechar una
        oportunidad</strong> cuyos efectos beneficiarán a una compañía, grupo de ciudadanos o a la comunidad. El
      reconocimiento del problema o necesidad u oportunidad es el punto de partida para la identificación del proyecto.
      Es preciso <strong>conocer las características específicas del mismo, sus causas y los aspectos que lo
        rodean</strong> y que pueden ser importantes en el momento de buscar una solución a través de un sistema de
      inversión.</p>
    <img src="./assets/image/home/img-design.svg" alt="">
  </div>
  <div class="content-form">
    <mat-horizontal-stepper>
      <mat-step label="Datos del Proyecto" [stepControl]="proyectForm" errorMessage="Name is required.">
        <h1 style="margin-top: 15%;">¿Cuál es el nombre de tu próxima inversión?</h1>
        <form [formGroup]="proyectForm" class="forms-first">
          <mat-form-field>
            <mat-label>Nombre</mat-label>
            <input type="text" matInput placeholder="Please, enter your name proyect" formControlName="name" required>
          </mat-form-field>
          <button color="warn" mat-raised-button matStepperNext [disabled]="!proyectForm.valid"
            (click)="saveName($event)">Siguiente
          </button>
        </form>
      </mat-step>
      <mat-step label="Elección de Escenario">
        <button mat-button matStepperPrevious>
          <mat-icon>arrow_back</mat-icon>Atras
        </button>
        <div class="decide-container">
          <img class="decide-img" src="./assets/image/home/decide.svg">
          <button class="decide-btn first" mat-raised-button color="warn" (click)="changeEscenary('first')"
            matStepperNext>ESCENARIO 1</button>
          <button class="decide-btn second" mat-raised-button color="warn" (click)="changeEscenary('second')"
            matStepperNext>ESCENARIO 2</button>
        </div>
      </mat-step>
      <!-- #docregion label -->
      <mat-step *ngIf="hiddenEsceFirst" label="Datos de entrada">
        <button mat-button matStepperPrevious>
          <mat-icon>arrow_back</mat-icon>Atras
        </button>
        <h1>Primer Escenario</h1>
        <form [formGroup]="dataFormFirst" class="forms-first">
          <h4>Inversión Inicial</h4>
          <div class="investment-data">
            <mat-form-field>
              <mat-label>Media</mat-label>
              <input formControlName="media_first" type="number" matInput>
            </mat-form-field>
            <mat-form-field>
              <mat-label>Varianza</mat-label>
              <input formControlName="var_first" type="number" matInput>
            </mat-form-field>
          </div>
          <h4>Flujo neto en el perido t</h4>
          <div class="investment-data">
            <mat-form-field>
              <mat-label>Media</mat-label>
              <input formControlName="media_second" type="number" matInput>
            </mat-form-field>
            <mat-form-field>
              <mat-label>Varianza</mat-label>
              <input formControlName="var_second" type="number" matInput>
            </mat-form-field>
          </div>
          <mat-form-field>
            <mat-label>Flujo neto en el periodo t (Años)</mat-label>
            <input formControlName="year" type="number" matInput>
          </mat-form-field>
          <button mat-raised-button color="warn" (click)="getStart($event)">Comenzar Simulación</button>
        </form>
      </mat-step>
      <mat-step *ngIf="hiddenEsceSecond" label="Datos de entrada">
        <div class="content-father">
          <button mat-button matStepperPrevious>
            <mat-icon>arrow_back</mat-icon>Atras
          </button>
          <h1>Configura tus datos de entrada</h1>
          <!-- #enddocregion label -->
          <div class="form-content">
            <form class="second-escenary__forms" [formGroup]="investForm">
              <mat-label style="justify-content: center;">Inversion Inicial</mat-label>
              <mat-form-field class="input-second__form">
                <mat-label>Estimación pesimista ($)</mat-label>
                <input type="number" formControlName="est_pes" matInput required>
              </mat-form-field>
              <mat-form-field class="input-second__form">
                <mat-label>Estimación mas probable ($)</mat-label>
                <input type="number" formControlName="est_prob" matInput required>
              </mat-form-field>
              <mat-form-field class="input-second__form">
                <mat-label>Estimación optimista ($)</mat-label>
                <input type="number" formControlName="est_opt" matInput required>
              </mat-form-field>
            </form>
            <form class="second-escenary__forms" [formGroup]="valorRescateForm">
              <mat-label>Valor de Rescate</mat-label>
              <mat-form-field class="input-second__form">
                <mat-label>Estimación pesimista ($)</mat-label>
                <input type="number" formControlName="est_pes" matInput required>
              </mat-form-field>
              <mat-form-field class="input-second__form">
                <mat-label>Estimación mas probable ($)</mat-label>
                <input type="number" formControlName="est_prob" matInput required>
              </mat-form-field>
              <mat-form-field class="input-second__form">
                <mat-label>Estimación optimista ($)</mat-label>
                <input type="number" formControlName="est_opt" matInput required>
              </mat-form-field>
            </form>
            <form class="second-escenary__forms" [formGroup]="inflacionForm">
              <mat-label>Tasa de Inflación</mat-label>
              <mat-form-field class="input-second__form">
                <mat-label>Estimación pesimista (%)</mat-label>
                <input type="number" formControlName="est_pes" matInput required>
              </mat-form-field>
              <mat-form-field class="input-second__form">
                <mat-label>Estimación mas probable (%)</mat-label>
                <input type="number" formControlName="est_prob" matInput required>
              </mat-form-field>
              <mat-form-field class="input-second__form">
                <mat-label>Estimación optimista (%)</mat-label>
                <input type="number" formControlName="est_opt" matInput required>
              </mat-form-field>
            </form>
            <div *ngIf="true">
              <h3>Flujo neto en el periodo t (Años)</h3>
              <mat-form-field appearance="fill">
                <mat-label>Numero de años</mat-label>
                <mat-select [(value)]="select">
                  <mat-option *ngFor="let option of options" value={{option.value}} (click)="getSelect()">
                    {{option.label}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
            </div>
            <div class="form-table" *ngIf="true">
              <mat-list style="display: flex;flex-direction: column;">
                <mat-list-item>Año</mat-list-item>
                <mat-divider></mat-divider>
                <mat-form-field *ngFor="let object of objects">
                  <input matInput disabled value={{object.label}}>
                </mat-form-field>
                <mat-divider></mat-divider>
              </mat-list>
              <mat-list>
                <mat-list-item>Flujo Neto</mat-list-item>
                <mat-divider></mat-divider>
                <form [formGroup]="flujoNetoForm" (ngSubmit)="onSubmit()">
                  <table class="table table-bordered" formArrayName="values">
                    <tr *ngFor="let quantity of values().controls as flujo; let i=index" [formGroupName]="i">
                      <td>
                        <mat-form-field>
                          <mat-label>Año:</mat-label>
                          <input type="text" disabled="true" value={{flujo.anio}} formControlName="anio" class="form-control" matInput>
                        </mat-form-field>
                      </td>
                      <td>
                        <mat-form-field>
                          <mat-label>Flujo Neto:</mat-label>
                          <input type="text" formControlName="flujo_neto" class="form-control" matInput>
                        </mat-form-field>
                      </td>
                    </tr>
                  </table>
                  <!-- <button type="submit" class="btn btn-success">Submit</button> -->

                </form>
                <!-- <form style="border-bottom: 1px solid black;" [formGroup]="flujoNetoForm" *ngFor="let quantity of values().controls as flujo; let i=index" [formGroupName]="i">
                  <mat-form-field>
                    <input type="text" formControlName="anio" placeholder={{flujo.anio}} matInput>
                  </mat-form-field>
                  <mat-form-field>
                    <input type="number" formControlName="flujo" matInput>
                  </mat-form-field>
                </form> -->
                <!-- <button (click)="onSubmit()" mat-raised-button color="warn">Submit</button> -->
              </mat-list>
            </div>
          </div>
          <div class="btn-stepper">
            <button class="btn-next" style="width: 50%; margin: auto;" mat-raised-button matStepperNext
              (click)="startSimulation()">Comenzar Simulación</button>
          </div>
        </div>
      </mat-step>
    </mat-horizontal-stepper>
  </div>
</div>
